Bug 1154079 - perl-Hardware-Vhdl-Tidy-0.8-18.fc22 FTBFS randomly: t/tidy.t .. 1/? Internal error (token failed to match anything)
Summary: perl-Hardware-Vhdl-Tidy-0.8-18.fc22 FTBFS randomly: t/tidy.t .. 1/? Internal ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Hardware-Vhdl-Tidy
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1675631 (view as bug list)
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-10-17 13:23 UTC by Petr Pisar
Modified: 2019-03-03 14:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-03 14:56:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 109951 None None None Never

Description Petr Pisar 2014-10-17 13:23:08 UTC
perl-Hardware-Vhdl-Tidy-0.8-18.fc22 fails to build in F22 sometimes. A test fails randomly:

$ prove -b t/tidy.t -v
t/tidy.t .. 
ok 1 - use Hardware::Vhdl::Tidy;
ok 2 - process lite 1 with destination supplied as arrayref
ok 3 - process lite 1 with destination supplied as fileglob
ok 4 - process lite 1 with destination supplied as stringref
ok 5 - process lite 1 with destination supplied as subref
Internal error (token failed to match anything): Please file a bug report, showing what input caused this error
 at /home/test/fedora/perl-Hardware-Vhdl-Tidy/Hardware-Vhdl-Tidy-0.8/blib/lib/Hardware/Vhdl/Tidy.pm line 366.
1..5
# Looks like your test exited with 255 just after 5.
Dubious, test returned 255 (wstat 65280, 0xff00)

Comment 1 Jaroslav Reznik 2015-03-03 16:22:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Admin XMLRPC Client 2015-10-07 19:46:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2015-10-08 08:03:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2016-07-19 12:14:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Petr Pisar 2016-12-23 09:22:58 UTC
This still happens in F26.

Comment 6 Fedora End Of Life 2017-02-28 09:38:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Fedora End Of Life 2018-05-03 08:06:44 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Petr Pisar 2018-05-03 08:29:04 UTC
perl-Hardware-Vhdl-Tidy-0.8-26.fc29 still fails randomly according to Koschei.

Comment 9 Jan Kurik 2018-08-14 11:09:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 10 Jitka Plesnikova 2019-02-12 08:55:22 UTC
*** Bug 1675631 has been marked as a duplicate of this bug. ***

Comment 11 Ben Cotton 2019-02-19 17:11:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 12 Zbigniew Jędrzejewski-Szmek 2019-03-03 14:56:17 UTC
A build was successfull: perl-Hardware-Vhdl-Tidy-0.8-30.fc30 [1].
Closing the bug.

[1]

Comment 13 Zbigniew Jędrzejewski-Szmek 2019-03-03 14:57:35 UTC
A build was successfull: perl-Hardware-Vhdl-Tidy-0.8-30.fc30 [1].
Closing the bug.

[1]


Note You need to log in before you can comment on or make changes to this bug.